%define date    20160920

Name:           irrlamb
Version:        0.2.1
Release:        %mkrel 1.%{date}.12
Summary:        Physics-based 3D puzzle platformer
Group:          Games/Arcade
License:        GPLv3+ and CC-BY-SA 3.0
URL:            https://github.com/jazztickets/irrlamb
# pack with deployment/make_src.sh
Source0:        %{name}-%{version}+%{date}.tar.xz
Patch0:         irrlamb-0.2.0-mga-desktop.patch
Patch1:         irrlamb-0.2.0-mga-gamesbindir.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  irrlicht-devel
BuildRequires:  pkgconfig(bullet)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(lua) >= 5.2
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)

%description
Irrlamb is a platform game, in which the player moves a ball through
a 3D terrain. The aim in each irrlamb level is to touch every glowing
globe, sometimes within a time limit. In some levels the player has
the grapple upgrade, which allows the player to shoot an elastic rope
at objects and terrain and can be used to climb walls.

%prep
%setup -q -n %{name}-%{version}+%{date}
%autopatch -p1

%build
%cmake -DLUA_VERSION=5.2
%cmake_build

%install
%cmake_install

%files
%doc %{_docdir}/%{name}/
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Thu Dec 31 2020 neoclust <neoclust> 0.2.1-1.20160920.12.mga8
+ Revision: 1667120
- Rebuild because of broken dependancies

* Wed Dec 30 2020 akien <akien> 0.2.1-1.20160920.11.mga8
+ Revision: 1665649
- Rebuild for bullet 3.08

* Thu Dec 17 2020 akien <akien> 0.2.1-1.20160920.10.mga8
+ Revision: 1660143
- Rebuild for bullet 3.07

* Sat Oct 17 2020 akien <akien> 0.2.1-1.20160920.9.mga8
+ Revision: 1636578
- Rebuild for bullet 3.06

* Sat Feb 15 2020 umeabot <umeabot> 0.2.1-1.20160920.8.mga8
+ Revision: 1525368
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Apr 14 2019 pterjan <pterjan> 0.2.1-1.20160920.7.mga7
+ Revision: 1389916
- Rebuild for bullet 2.88 on armv7hl

* Mon Mar 04 2019 akien <akien> 0.2.1-1.20160920.6.mga7
+ Revision: 1371439
- Rebuild for bullet 2.88

* Sun Sep 23 2018 umeabot <umeabot> 0.2.1-1.20160920.5.mga7
+ Revision: 1298324
- Mageia 7 Mass Rebuild

* Sat Jan 13 2018 wally <wally> 0.2.1-1.20160920.4.mga7
+ Revision: 1192686
- rebuild for new bullet

* Sun Feb 26 2017 akien <akien> 0.2.1-1.20160920.3.mga6
+ Revision: 1087974
- Rebuild for bullet 2.86.1

* Wed Oct 26 2016 akien <akien> 0.2.1-1.20160920.2.mga6
+ Revision: 1063699
- Rebuild for bullet 2.85.1

* Mon Oct 17 2016 akien <akien> 0.2.1-1.20160920.1.mga6
+ Revision: 1061509
- Version 0.2.1 + a few upstream commits

* Mon Feb 15 2016 umeabot <umeabot> 0.2.0-3.mga6
+ Revision: 960700
- Mageia 6 Mass Rebuild

* Sun Sep 20 2015 akien <akien> 0.2.0-2.mga6
+ Revision: 881905
- Rebuild for irrlicht 1.8.3

* Sun Sep 20 2015 akien <akien> 0.2.0-1.mga6
+ Revision: 881856
- Version 0.2.0

* Tue Dec 23 2014 akien <akien> 0.2.0-0.20141110.1.mga5
+ Revision: 805124
- imported package irrlamb

